aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2016-11-12 12:28:45 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-12-27 10:06:14 +0200
commit20b92827c1462efeb43cce8e21aa88d31c56ae53 (patch)
treee903766d999707cbb9e3a345084af9ee0940c8c8 /community
parent99faeb65e4a9ac2132f0f56032e7ce5265b0f132 (diff)
downloadaports-20b92827c1462efeb43cce8e21aa88d31c56ae53.tar.gz
aports-20b92827c1462efeb43cce8e21aa88d31c56ae53.tar.bz2
aports-20b92827c1462efeb43cce8e21aa88d31c56ae53.tar.xz
testing/py-natsort: move to community
Diffstat (limited to 'community')
-rw-r--r--community/py-natsort/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/community/py-natsort/APKBUILD b/community/py-natsort/APKBUILD
new file mode 100644
index 0000000000..31362e3a21
--- /dev/null
+++ b/community/py-natsort/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-natsort
+_pkgname=natsort
+pkgver=5.0.1
+pkgrel=0
+pkgdesc="A module for natural sorting"
+url="https://github.com/SethMMorton/natsort"
+arch="noarch"
+license="MIT"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py2() {
+ replaces="$pkgname"
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+md5sums="e82b8f60b07c6906c2983c40790c6f46 natsort-5.0.1.tar.gz"
+sha256sums="4ad6b4d1153451e345967989bd3ca30abf33f615b116eeadfcc51a456e6974a9 natsort-5.0.1.tar.gz"
+sha512sums="a183558b8a4be6300400b2efed901fb515efce4bb340b3bdda723f6a628aa05ad2f9e1f2c696afa3970e0c82aca47ea597985a1c6c971517ee3bf759f25241bd natsort-5.0.1.tar.gz"